This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 243470 - Problem querying using RPM Python API with tag RPMTAG_BASENAMES
Problem querying using RPM Python API with tag RPMTAG_BASENAMES
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
6
All Linux
low Severity medium
: ---
: ---
Assigned To: Panu Matilainen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-08 17:22 EDT by Joe Izraelevitz
Modified: 2008-05-06 15:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:40:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joe Izraelevitz 2007-06-08 17:22:47 EDT
Description of problem:
In the RPM Python API, the function dbMatch does not work as expected for tag
RPMTAG_BASENAMES.  Instead of giving an iterator to header objects that contain
the given base file, it returns an iterator to an empty list.

Version-Release number of selected component (if applicable):
RPM version 4.4.2
Python 2.4.4

How reproducible:
Always

Steps to Reproduce:
Here's the python code:

import rpm
ts = rpm.TransactionSet()
mi = ts.dbMatch(rpm.RPMTAG_BASENAMES,'whateverthebasenameshouldbe')#e.g. 'README'
for h in mi:
  print h[rpm.RPMTAG_NAME]


Actual results:
Prints nothing. The iterator returned by ts.dbMatch always points to
an empty list, even if there are be packages with files with this basename

Expected results:
Should print out all package names that provide a file with the given base name

Additional info:
Going the other way (from header to basenames of files) works fine, eg:
print h[rpm.RPMTAG_BASENAMES]
will print a list of all the base names of the files the package provides
Comment 1 Joe Izraelevitz 2007-06-11 10:43:01 EDT
My mistake.  Apparently, querying using the RPMTAG_BASENAMES requires using the
full file path, not the basename.  This is why I always got no results.  While
inconsistent with the information given using header[RPMTAG_BASENAMES], there's
probably no point in changing it - the patch would hurt more than help - though
the quirk should be documented here:
http://docs.fedoraproject.org/drafts/rpm-guide-en/ch16s03.html
Comment 2 Jeff Johnson 2007-06-15 03:33:58 EDT
NOTABUG
Comment 3 Red Hat Bugzilla 2007-08-21 01:34:38 EDT
User pnasrat@redhat.com's account has been closed
Comment 4 Panu Matilainen 2007-08-22 02:33:10 EDT
Reassigning to owner after bugzilla made a mess, sorry about the noise...
Comment 5 Bug Zapper 2008-04-04 03:23:29 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 15:40:42 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.